@file:Suppress("unused")

package no.vegvesen.meldingsformidler.common.extensions

import java.time.LocalDate
import java.time.ZoneId
import java.util.Date

object LocalDateExtensions {
    fun LocalDate?.toDate(): Date? {
        if (this == null) return null
        val instant = this.atStartOfDay().atZone(ZoneId.systemDefault()).toInstant()
        return Date.from(instant)
    }
}
