package no.vegvesen.meldingsformidler.common.domain

@Suppress("unused")
data class ColorHex(val value: String) {
    init {
        require(value.matches(Regex("^#([0-9A-Fa-f]{6}|[0-9A-Fa-f]{8})$"))) {
            "Invalid hex color code"
        }
    }
}
