package no.vegvesen.meldingsformidler.common.domain

@Suppress("unused", "MemberVisibilityCanBePrivate")
data class Organisasjonsnummer(val value: String) {
    init {
        require(value.length == 9) { "Organisasjonsnummer must be 9 numbers long." }
        require(value.all { it.isDigit() }) { "Organisasjonsnummer must consist of only digits." }
    }
}
